PR_MCE_KILL(2const)

NAME
PR_MCE_KILL - set the machine check memory corruption kill policy

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/prctl.h>  /* Definition of PR_* constants */
#include <sys/prctl.h>

int prctl(PR_MCE_KILL, long op, ...);

DESCRIPTION
Set the machine check memory corruption kill policy for the calling thread.

op is one of the following operations:

PR_MCE_KILL_CLEAR
PR_MCE_KILL_SET

The policy is inherited by children.

RETURN VALUE
On success, 0 is returned. On error, -1 is returned, and errno is set to indicate the error.

ERRORS

EINVAL
    op is not a valid value.

STANDARDS
Linux.

HISTORY
Linux 2.6.32.

SEE ALSO
prctl(2), PR_MCE_KILL_CLEAR(2const), PR_MCE_KILL_SET(2const), PR_MCE_KILL_GET(2const)